<?php

include 'theme_options.php';



if ( function_exists('register_sidebar') )

    register_sidebar(array(

	'name' => 'Sidebar1',

    'before_widget' => '<div class="sidebox1 sidebox">',

    'after_widget' => '</div>',

	'before_title' => '<h3 class="sidetitl">',

    'after_title' => '</h3>',

	

    ));

	

	register_sidebar(array(

	'name' => 'Sidebar2',

    'before_widget' => '<div class="sidebox2 sidebox">',

    'after_widget' => '</div>',

	'before_title' => '<h3 class="sidetitl">',

    'after_title' => '</h3>',

	

    ));





    register_sidebar(array(

	'name' => 'Footer',

    'before_widget' => '<div class="botwid">',

    'after_widget' => '</div>',

	'before_title' => '<h3 class="bothead">',

    'after_title' => '</h3>',

    ));		

	

register_nav_menus( array(

		'primary' => __( 'Primary Navigation', '' ),

		'secondary' => __( 'Secondary Navigation', '' ),

		'tertiary' => __( 'Third Navigation', '' ),

	) );	

	

	



	

function new_excerpt_more($more) {

return '<a href="'. get_permalink($post->ID) . '">' . '&nbsp;&nbsp;[ Read More ]' . '</a>';

}

add_filter('excerpt_more', 'new_excerpt_more');









if ( function_exists( 'add_theme_support' ) ) { // Added in 2.9

	add_theme_support( 'post-thumbnails' );

	add_image_size( 'asts_slider', 630, 270, true );

	add_image_size( 'asts_home', 160, 100, true ); 

	add_image_size( 'asts_thumb', 80, 60, true ); 

}

function asts_slider_image(){



if ( has_post_thumbnail() ) {

	 the_post_thumbnail( 'asts_slider', array('class' => 'sidim') );

} else {



};

}

function asts_home_image(){



if ( has_post_thumbnail() ) {

	 the_post_thumbnail( 'asts_home', array('class' => 'postim') );

} else { ?>

	<img class="postim" src="<?php bloginfo('template_directory'); ?>/images/thumb.png"  />

<?php

	};



}



function asts_thumb_image(){



if ( has_post_thumbnail() ) {

	 the_post_thumbnail( 'asts_thumb', array('class' => 'pthumb') );

} else {



};



}



function popular_posts($no_posts = 10, $before = '<li>', $after = '</li>', $show_pass_post = false, $duration='') {

global $wpdb;

$request = "SELECT ID, post_title, COUNT($wpdb->comments.comment_post_ID) AS 'comment_count' FROM $wpdb->posts, $wpdb->comments";

$request .= " WHERE comment_approved = '1' AND $wpdb->posts.ID=$wpdb->comments.comment_post_ID AND post_status = 'publish'";

if(!$show_pass_post) $request .= " AND post_password =''";

if($duration !="") { $request .= " AND DATE_SUB(CURDATE(),INTERVAL ".$duration." DAY) < post_date ";

}

$request .= " GROUP BY $wpdb->comments.comment_post_ID ORDER BY comment_count DESC LIMIT $no_posts";

$posts = $wpdb->get_results($request);

$output = '';

if ($posts) {

foreach ($posts as $post) {

$post_title = stripslashes($post->post_title);

$comment_count = $post->comment_count;

$permalink = get_permalink($post->ID);

$output .= $before . ' <a href="' . $permalink . '" title="' . $post_title.'">' . $post_title . '</a> ' . $after;

}

} else {

$output .= $before . "None found" . $after;

}

echo $output;

} 





function dp_recent_comments($no_comments = 10, $comment_len = 35) {

    global $wpdb;

	$request = "SELECT * FROM $wpdb->comments";

	$request .= " JOIN $wpdb->posts ON ID = comment_post_ID";

	$request .= " WHERE comment_approved = '1' AND post_status = 'publish' AND post_password =''";

	$request .= " ORDER BY comment_date DESC LIMIT $no_comments";

	$comments = $wpdb->get_results($request);

	if ($comments) {

		foreach ($comments as $comment) {

			ob_start();

			?>

				<li>

					<a href="<?php echo get_permalink( $comment->comment_post_ID ) . '#comment-' . $comment->comment_ID; ?>"><?php echo dp_get_author($comment); ?>:</a>

					<?php echo strip_tags(substr(apply_filters('get_comment_text', $comment->comment_content), 0, $comment_len)); ?>

				</li>

			<?php

			ob_end_flush();

		}

	} else {

		echo '<li>'.__('No comments', '').'';

	}

}

function dp_get_author($comment) {

	$author = "";

	if ( empty($comment->comment_author) )

		$author = __('Anonymous', '');

	else

		$author = $comment->comment_author;

	return $author;

}



?>